/*********************************************************************
*                     SEGGER Microcontroller GmbH                    *
*        Solutions for real time microcontroller applications        *
**********************************************************************
*                                                                    *
*        (c) 1996 - 2022  SEGGER Microcontroller GmbH                *
*                                                                    *
*        Internet: www.segger.com    Support:  support@segger.com    *
*                                                                    *
**********************************************************************
----------------------------------------------------------------------
File        : ID_SCREEN_BUC_HEALTH_Slots.c
Purpose     : AppWizard managed file, function content could be changed
---------------------------END-OF-HEADER------------------------------
*/

#include "Application.h"
#include "../Generated/Resource.h"
#include "../Generated/ID_SCREEN_BUC_HEALTH.h"

/*** Begin of user code area ***/
/*** End of user code area ***/

/*********************************************************************
*
*       Public code
*
**********************************************************************
*/
/*********************************************************************
*
*       cbID_SCREEN_BUC_HEALTH
*/
void cbID_SCREEN_BUC_HEALTH(WM_MESSAGE * pMsg) {
  GUI_USE_PARA(pMsg);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_HEALTH__APPW_NOTIFICATION_INITDIALOG__ID_TEXT_DC_HEALTH_24V__APPW_JOB_SETTEXT
*/
void ID_SCREEN_BUC_HEALTH__APPW_NOTIFICATION_INITDIALOG__ID_TEXT_DC_HEALTH_24V__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {

  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_HEALTH__APPW_NOTIFICATION_MOTION
*/
void ID_SCREEN_BUC_HEALTH__APPW_NOTIFICATION_MOTION(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {

	if(Parameter_UDP_Pkt_from_BUC_Received==1)
	{
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_RF_FWD_POW_ALARM_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_RF_FWD_POW_ALARM_VAL, gui_RF_FWD_Power_Alarm_Health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_INPUT_POW_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_INPUT_POW_VAL, gui_Input_Power_Health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_PLO_LOCK_INDICATION_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_PLO_LOCK_INDICATION_VAL, gui_PLO_Lock_Status_Health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_LO_POWER_INDICATION_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_LO_POWER_INDICATION_VAL, gui_LO_Power_Level_Health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL, gui_L_Band_Input_OverDrive_Health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_FAN_HEALTH_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_FAN_HEALTH_VAL, gui_Fan_Health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_VSWR_ALARM_VALUE, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_VSWR_ALARM_VALUE, gui_VSWR_Alarm_Health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_DC_HEALTH_24V_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_DC_HEALTH_24V_VAL, gui_DC_24V_health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_SEQ_HEALTH_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_SEQ_HEALTH_VAL, gui_Sequence_Health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_TEMP_HEALTH_HPD_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_TEMP_HEALTH_HPD_VAL, gui_Temp_HPD_Health);
	}
	if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
	{
		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_RF_FWD_POW_ALARM_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_RF_FWD_POW_ALARM_VAL, gui_Screen_Param_Default);

		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_INPUT_POW_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_INPUT_POW_VAL, gui_Screen_Param_Default);

		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_PLO_LOCK_INDICATION_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_PLO_LOCK_INDICATION_VAL, gui_Screen_Param_Default);

		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_LO_POWER_INDICATION_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_LO_POWER_INDICATION_VAL, gui_Screen_Param_Default);

		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL, gui_Screen_Param_Default);

		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_FAN_HEALTH_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_FAN_HEALTH_VAL, gui_Screen_Param_Default);

		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_VSWR_ALARM_VALUE, "");
		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_VSWR_ALARM_VALUE, gui_Screen_Param_Default);

		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_DC_HEALTH_24V_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_DC_HEALTH_24V_VAL, gui_Screen_Param_Default);

		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_SEQ_HEALTH_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_SEQ_HEALTH_VAL, gui_Screen_Param_Default);

		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_TEMP_HEALTH_HPD_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_TEMP_HEALTH_HPD_VAL, gui_Screen_Param_Default);

	}
	if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
	{
		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_RF_FWD_POW_ALARM_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_RF_FWD_POW_ALARM_VAL, Backup_gui_RF_FWD_Power_Alarm_Health);

		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_INPUT_POW_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_INPUT_POW_VAL, Backup_gui_Input_Power_Health);

		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_PLO_LOCK_INDICATION_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_PLO_LOCK_INDICATION_VAL, Backup_gui_PLO_Lock_Status_Health);

		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_LO_POWER_INDICATION_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_LO_POWER_INDICATION_VAL, Backup_gui_LO_Power_Level_Health);

		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL, Backup_gui_L_Band_Input_OverDrive_Health);

		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_FAN_HEALTH_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_FAN_HEALTH_VAL, Backup_gui_Fan_Health);

		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_VSWR_ALARM_VALUE, "");
		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_VSWR_ALARM_VALUE, Backup_gui_VSWR_Alarm_Health);

		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_DC_HEALTH_24V_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_DC_HEALTH_24V_VAL, Backup_gui_DC_24V_health);

		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_SEQ_HEALTH_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_SEQ_HEALTH_VAL, Backup_gui_Sequence_Health);

		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_TEMP_HEALTH_HPD_VAL, "");
		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_TEMP_HEALTH_HPD_VAL, Backup_gui_Temp_HPD_Health);
	}

  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_HEALTH__ID_TEXT_RF_FWD_POW_ALARM_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_RF_FWD_POW_ALARM_VAL__APPW_JOB_SETTEXT
*/
void ID_SCREEN_BUC_HEALTH__ID_TEXT_RF_FWD_POW_ALARM_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_RF_FWD_POW_ALARM_VAL__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
//		if(Parameter_UDP_Pkt_from_BUC_Received==1)
//		{
//				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_RF_FWD_POW_ALARM_VAL, "");
//				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_RF_FWD_POW_ALARM_VAL, gui_RF_FWD_Power_Alarm_Health);
//		}
//		if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
//		{
//			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_RF_FWD_POW_ALARM_VAL, "");
//			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_RF_FWD_POW_ALARM_VAL, gui_Screen_Param_Default);
//		}
//		if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
//		{
//			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_RF_FWD_POW_ALARM_VAL, "");
//			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_RF_FWD_POW_ALARM_VAL, Backup_gui_RF_FWD_Power_Alarm_Health);
//		}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_HEALTH__ID_TEXT_PLO_LOCK_INDICATION_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_PLO_LOCK_INDICATION_VAL__APPW_JOB_SETTEXT
*/
void ID_SCREEN_BUC_HEALTH__ID_TEXT_PLO_LOCK_INDICATION_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_PLO_LOCK_INDICATION_VAL__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
//		if(Parameter_UDP_Pkt_from_BUC_Received==1)
//		{
//				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_PLO_LOCK_INDICATION_VAL, "");
//				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_PLO_LOCK_INDICATION_VAL, gui_PLO_Lock_Status_Health);
//		}
//		if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
//		{
//			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_PLO_LOCK_INDICATION_VAL, "");
//			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_PLO_LOCK_INDICATION_VAL, gui_Screen_Param_Default);
//		}
//		if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
//		{
//			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_PLO_LOCK_INDICATION_VAL, "");
//			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_PLO_LOCK_INDICATION_VAL, Backup_gui_PLO_Lock_Status_Health);
//		}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_HEALTH__ID_TEXT_LO_POWER_INDICATION_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_LO_POWER_INDICATION_VAL__APPW_JOB_SETTEXT
*/
void ID_SCREEN_BUC_HEALTH__ID_TEXT_LO_POWER_INDICATION_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_LO_POWER_INDICATION_VAL__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
//	if(Parameter_UDP_Pkt_from_BUC_Received==1)
//	{
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_LO_POWER_INDICATION_VAL, "");
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_LO_POWER_INDICATION_VAL, gui_LO_Power_Level_Health);
//	}
//	if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
//	{
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_LO_POWER_INDICATION_VAL, "");
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_LO_POWER_INDICATION_VAL, gui_Screen_Param_Default);
//	}
//	if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
//	{
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_LO_POWER_INDICATION_VAL, "");
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_LO_POWER_INDICATION_VAL, Backup_gui_LO_Power_Level_Health);
//	}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_HEALTH__ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL__APPW_JOB_SETTEXT
*/
void ID_SCREEN_BUC_HEALTH__ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
//	if(Parameter_UDP_Pkt_from_BUC_Received==1)
//	{
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL, "");
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL, gui_L_Band_Input_OverDrive_Health);
//	}
//	if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
//	{
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL, "");
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL, gui_Screen_Param_Default);
//	}
//	if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
//	{
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL, "");
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL, Backup_gui_L_Band_Input_OverDrive_Health);
//	}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_HEALTH__ID_TEXT_FAN_HEALTH_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_FAN_HEALTH_VAL__APPW_JOB_SETTEXT
*/
void ID_SCREEN_BUC_HEALTH__ID_TEXT_FAN_HEALTH_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_FAN_HEALTH_VAL__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
//			if(Parameter_UDP_Pkt_from_BUC_Received==1)
//			{
//					APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_FAN_HEALTH_VAL, "");
//					APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_FAN_HEALTH_VAL, gui_Fan_Health);
//			}
//			if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
//			{
//				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_FAN_HEALTH_VAL, "");
//				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_FAN_HEALTH_VAL, gui_Screen_Param_Default);
//			}
//			if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
//			{
//				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_FAN_HEALTH_VAL, "");
//				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_FAN_HEALTH_VAL, Backup_gui_Fan_Health);
//			}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_HEALTH__ID_TEXT_VSWR_ALARM_VALUE__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_VSWR_ALARM_VALUE__APPW_JOB_SETTEXT
*/
void ID_SCREEN_BUC_HEALTH__ID_TEXT_VSWR_ALARM_VALUE__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_VSWR_ALARM_VALUE__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
//	if(Parameter_UDP_Pkt_from_BUC_Received==1)
//	{
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_VSWR_ALARM_VALUE, "");
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_VSWR_ALARM_VALUE, gui_VSWR_Alarm_Health);
//	}
//	if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
//	{
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_VSWR_ALARM_VALUE, "");
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_VSWR_ALARM_VALUE, gui_Screen_Param_Default);
//	}
//	if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
//	{
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_VSWR_ALARM_VALUE, "");
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_VSWR_ALARM_VALUE, Backup_gui_VSWR_Alarm_Health);
//	}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_HEALTH__ID_TEXT_DC_HEALTH_28V_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_DC_HEALTH_28V_VAL__APPW_JOB_SETTEXT
*/
void ID_SCREEN_BUC_HEALTH__ID_TEXT_DC_HEALTH_28V_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_DC_HEALTH_28V_VAL__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
//	if(Parameter_UDP_Pkt_from_BUC_Received==1)
//	{
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_DC_HEALTH_24V_VAL, "");
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_DC_HEALTH_24V_VAL, gui_DC_24V_health);
//	}
//	if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
//	{
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_DC_HEALTH_24V_VAL, "");
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_DC_HEALTH_24V_VAL, gui_Screen_Param_Default);
//	}
//	if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
//	{
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_DC_HEALTH_24V_VAL, "");
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_DC_HEALTH_24V_VAL, Backup_gui_DC_24V_health);
//	}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_HEALTH__ID_TEXT_SEQ_HEALTH_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_SUMMARY_ALARM_VAL__APPW_JOB_SETTEXT
*/
void ID_SCREEN_BUC_HEALTH__ID_TEXT_SEQ_HEALTH_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_SUMMARY_ALARM_VAL__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
//	if(Parameter_UDP_Pkt_from_BUC_Received==1)
//	{
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_SEQ_HEALTH_VAL, "");
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_SEQ_HEALTH_VAL, gui_Sequence_Health);
//	}
//	if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
//	{
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_SEQ_HEALTH_VAL, "");
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_SEQ_HEALTH_VAL, gui_Screen_Param_Default);
//	}
//	if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
//	{
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_SEQ_HEALTH_VAL, "");
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_SEQ_HEALTH_VAL, Backup_gui_Sequence_Health);
//	}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_HEALTH__ID_TEXT_TEMP_HEALTH_HPD_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_TEMP_HEALTH_HPD_VAL__APPW_JOB_SETTEXT
*/
void ID_SCREEN_BUC_HEALTH__ID_TEXT_TEMP_HEALTH_HPD_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_TEMP_HEALTH_HPD_VAL__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
//	if(Parameter_UDP_Pkt_from_BUC_Received==1)
//	{
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_TEMP_HEALTH_HPD_VAL, "");
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_TEMP_HEALTH_HPD_VAL, gui_Temp_HPD_Health);
//	}
//	if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
//	{
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_TEMP_HEALTH_HPD_VAL, "");
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_TEMP_HEALTH_HPD_VAL, gui_Screen_Param_Default);
//	}
//	if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
//	{
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_TEMP_HEALTH_HPD_VAL, "");
//		APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_TEMP_HEALTH_HPD_VAL, Backup_gui_Temp_HPD_Health);
//	}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_HEALTH__ID_BUTTON_HEALTH_REFRESH__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_BUC_HEALTH__ID_BUTTON_HEALTH_REFRESH__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
		if(Parameter_UDP_Pkt_from_BUC_Received==1)
		{
				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_RF_FWD_POW_ALARM_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_RF_FWD_POW_ALARM_VAL, gui_RF_FWD_Power_Alarm_Health);

				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_INPUT_POW_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_INPUT_POW_VAL, gui_Input_Power_Health);

				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_PLO_LOCK_INDICATION_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_PLO_LOCK_INDICATION_VAL, gui_PLO_Lock_Status_Health);

				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_LO_POWER_INDICATION_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_LO_POWER_INDICATION_VAL, gui_LO_Power_Level_Health);

				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL, gui_L_Band_Input_OverDrive_Health);

				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_FAN_HEALTH_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_FAN_HEALTH_VAL, gui_Fan_Health);

				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_VSWR_ALARM_VALUE, "");
				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_VSWR_ALARM_VALUE, gui_VSWR_Alarm_Health);

				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_DC_HEALTH_24V_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_DC_HEALTH_24V_VAL, gui_DC_24V_health);

				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_SEQ_HEALTH_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_SEQ_HEALTH_VAL, gui_Sequence_Health);

				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_TEMP_HEALTH_HPD_VAL, "");
				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_TEMP_HEALTH_HPD_VAL, gui_Temp_HPD_Health);
		}
		if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
		{
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_RF_FWD_POW_ALARM_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_RF_FWD_POW_ALARM_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_INPUT_POW_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_INPUT_POW_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_PLO_LOCK_INDICATION_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_PLO_LOCK_INDICATION_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_LO_POWER_INDICATION_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_LO_POWER_INDICATION_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_FAN_HEALTH_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_FAN_HEALTH_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_VSWR_ALARM_VALUE, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_VSWR_ALARM_VALUE, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_DC_HEALTH_24V_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_DC_HEALTH_24V_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_SEQ_HEALTH_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_SEQ_HEALTH_VAL, gui_Screen_Param_Default);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_TEMP_HEALTH_HPD_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_TEMP_HEALTH_HPD_VAL, gui_Screen_Param_Default);

		}
		if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
		{
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_RF_FWD_POW_ALARM_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_RF_FWD_POW_ALARM_VAL, Backup_gui_RF_FWD_Power_Alarm_Health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_INPUT_POW_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_INPUT_POW_VAL, Backup_gui_Input_Power_Health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_PLO_LOCK_INDICATION_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_PLO_LOCK_INDICATION_VAL, Backup_gui_PLO_Lock_Status_Health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_LO_POWER_INDICATION_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_LO_POWER_INDICATION_VAL, Backup_gui_LO_Power_Level_Health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_L_BAND_INPUT_OVERDRIVE_VAL, Backup_gui_L_Band_Input_OverDrive_Health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_FAN_HEALTH_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_FAN_HEALTH_VAL, Backup_gui_Fan_Health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_VSWR_ALARM_VALUE, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_VSWR_ALARM_VALUE, Backup_gui_VSWR_Alarm_Health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_DC_HEALTH_24V_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_DC_HEALTH_24V_VAL, Backup_gui_DC_24V_health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_SEQ_HEALTH_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_SEQ_HEALTH_VAL, Backup_gui_Sequence_Health);

			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_TEMP_HEALTH_HPD_VAL, "");
			APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_TEMP_HEALTH_HPD_VAL, Backup_gui_Temp_HPD_Health);
		}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_HEALTH__ID_BUTTON_BACK_BUC_HEALTH__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_BUC_HEALTH__ID_BUTTON_BACK_BUC_HEALTH__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {

  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_HEALTH__ID_BUTTON_HOME_HEALTH__WM_NOTIFICATION_CLICKED
*/
void ID_SCREEN_BUC_HEALTH__ID_BUTTON_HOME_HEALTH__WM_NOTIFICATION_CLICKED(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*********************************************************************
*
*       ID_SCREEN_BUC_HEALTH__ID_TEXT_INPUT_POW_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_INPUT_POW_VAL__APPW_JOB_SETTEXT
*/
void ID_SCREEN_BUC_HEALTH__ID_TEXT_INPUT_POW_VAL__WM_NOTIFICATION_TEXT_CHANGED__ID_TEXT_INPUT_POW_VAL__APPW_JOB_SETTEXT(APPW_ACTION_ITEM * pAction, WM_HWIN hScreen, WM_MESSAGE * pMsg, int * pResult) {
//			if(Parameter_UDP_Pkt_from_BUC_Received==1)
//			{
//					APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_INPUT_POW_VAL, "");
//					APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_INPUT_POW_VAL, gui_Input_Power_Health);
//			}
//			if(g_Rx_Param_from_BUC_Pkt_Cnt<1)
//			{
//				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_INPUT_POW_VAL, "");
//				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_INPUT_POW_VAL, gui_Screen_Param_Default);
//			}
//			if(g_Rx_Param_from_BUC_Pkt_Cnt>1 && Parameter_UDP_Pkt_from_BUC_Received==0)
//			{
//				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_INPUT_POW_VAL, "");
//				APPW_SetText(ID_SCREEN_BUC_HEALTH, ID_TEXT_INPUT_POW_VAL, Backup_gui_Input_Power_Health);
//			}
  GUI_USE_PARA(pAction);
  GUI_USE_PARA(hScreen);
  GUI_USE_PARA(pMsg);
  GUI_USE_PARA(pResult);
}

/*************************** End of file ****************************/
